"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimatedContainer = exports.Container = void 0;
var styled_components_1 = __importStar(require("styled-components"));
var Mobile_1 = require("../../layout/media-query/Mobile");
var index_1 = require("../index");
var react_spring_1 = require("react-spring");
// with props use this:
// ${props => mediaQueries("md")(`width: ${props.width}px`)}
var Media = styled_components_1.css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  ", ";\n\n  ", ";\n\n  ", ";\n\n  ", ";\n"], ["\n  ",
    ";\n\n  ",
    ";\n\n  ",
    ";\n\n  ",
    ";\n"])), Mobile_1.makeQuery(Mobile_1.__MEDIA_QUERY_BREAK_POINT.SMALL)("\n      max-width: " + Mobile_1.SMALL_DEVICES_MAX_WIDTH + "px\n  "), Mobile_1.makeQuery(Mobile_1.__MEDIA_QUERY_BREAK_POINT.MEDIUM)("\n      max-width: " + Mobile_1.MEDIUM_DEVICES_MAX_WIDTH + "px;\n  "), Mobile_1.makeQuery(Mobile_1.__MEDIA_QUERY_BREAK_POINT.LARGE)("\n      max-width: " + Mobile_1.LARGE_DEVICES_MAX_WIDTH + "px\n  "), Mobile_1.makeQuery(Mobile_1.__MEDIA_QUERY_BREAK_POINT.EXTRA_LARGE)("\n      max-width: " + Mobile_1.EXTRA_LARGE_DEVICES_MAX_WIDTH + "px\n  "));
var ContainerRoot = styled_components_1.css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  padding-right: ", "px;\n  padding-left: ", "px;\n  width: 100%;\n  margin-right: auto;\n  margin-left: auto;\n"], ["\n  padding-right: ", "px;\n  padding-left: ", "px;\n  width: 100%;\n  margin-right: auto;\n  margin-left: auto;\n"])), index_1.GUTTER, index_1.GUTTER);
exports.Container = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  ", ";\n  ", ";\n"], ["\n  ", ";\n  ", ";\n"])), function (props) { return (!props.fluid ? Media : null); }, ContainerRoot);
exports.AnimatedContainer = styled_components_1.default(react_spring_1.animated(exports.Container))(templateObject_4 || (templateObject_4 = __makeTemplateObject([""], [""])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
